Subject: Re: bug#70806: [PATCH] Add rename-file-and-open function

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 May 2024 11:39:47 +0300

> Date: Mon,  6 May 2024 23:48:30 +0000
> Cc: [email-masked]
> From: Charalampos Mitrodimas <[email-masked]>
> 
> 
> On 6/5/24 9:59 PM, Eli Zaretskii wrote:
> >> From: Charalampos Mitrodimas <[email-masked]>
> >> Date: Mon, 06 May 2024 18:43:40 +0000
> >>
> >> The new function is similar to "rename-file", but it automatically opens
> >> the file once it's renamed (or throws a relevant error).
> >>
> >> I'm not sure if this addition is necessary, but I've had it for so many
> >> years that I thought it might be useful to have it in Emacs by
> >> default. I'm also not sure if it's in the correct position within
> >> lisp/files.el. In any case, I'm submitting this patch for consideration.
> > I think we have "C-x C-w" for those scenarios.  It works the other way
> > around: first you visit the file under the original name, then change
> > its name when you save it.
> That is indeed better than my function. Thanks!

No further comments within 12 days, so I conclude this issue can be
closed now.